#!/usr/bin/perl

# # diffAlg - Differential algebra library
# # 
# # Copyright (C) 2012 Manuel Dubinsky, Cesar Massari, Ariel Molinuevo
# # 
# # 
# # This program is free software: you can redistribute it and/or modify
# # it under the terms of the GNU General Public License as published by
# # the Free Software Foundation, either version 3 of the License, or
# # (at your option) any later version.
# # This program is distributed in the hope that it will be useful,
# # but WITHOUT ANY WARRANTY; without even the implied warranty of
# # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# # GNU General Public License for more details.
# # You should have received a copy of the GNU General Public License
# # along with this program. If not, see <http://www.gnu.org/licenses/>.

use DB_File;
# use DiffAlgebra;
use Form;
require "formrc";

for (my $i=5; $i<=10; $i++) {
	contraction(R(5), newForm(5,1,$i,"H" . $i,"a"));
	`toSingular.pl R_5LH$i`;
	print `execSing R_5LH$i.singular`;
}

# for (my $i=5; $i<=10; $i++) {
# 	d(newForm(5,1,$i,"H" . $i,"a"));
# 	`toSingular.pl dH$i`;
# 	print `execSing dH$i.singular`;
# }

