#!/usr/bin/perl

# # diffAlg - Differential algebra library
# # 
# # Copyright (C) 2012 Manuel Dubinsky, Cesar Massari, Ariel Molinuevo
# # 
# # 
# # This program is free software: you can redistribute it and/or modify
# # it under the terms of the GNU General Public License as published by
# # the Free Software Foundation, either version 3 of the License, or
# # (at your option) any later version.
# # This program is distributed in the hope that it will be useful,
# # but WITHOUT ANY WARRANTY; without even the implied warranty of
# # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# # GNU General Public License for more details.
# # You should have received a copy of the GNU General Public License
# # along with this program. If not, see <http://www.gnu.org/licenses/>.

use DB_File ;

my $file = $ARGV[0];
tie %h, "DB_File", $file or die "Cannot open file: $!\n";
map {print $_ . " = " . $h{$_} . "\n"} keys(%h);
untie %h;
